Package com.beust.jcommander.internal

# Class DefaultConverterFactory

java.lang.Object
com.beust.jcommander.internal.DefaultConverterFactory

All Implemented Interfaces:
  `IStringConverterFactory`

public class DefaultConverterFactory extends Object implements IStringConverterFactory

## Constructor Summary

Constructors
Constructor
Description
`DefaultConverterFactory()`

## Method Summary

Modifier and Type
Method
Description
`Class<? extends IStringConverter<?>>`
`getConverter(Class forType)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultConverterFactory

public DefaultConverterFactory()

## Method Details

### getConverter

public Class<? extends IStringConverter<?>> getConverter(Class forType)

Specified by:
  `getConverter` in interface `IStringConverterFactory`